devnet:
  mnemonic: priority supply couple broccoli balcony sort flag keep original wrong pottery version
  shardToWrite: DEVNET_L1A
  shardToExecute: DEVNET_L1A
  endpoint: https://api-devnet.coinweb.io/wallet

  bootstrapConfig:
    dataHasher: data_hasher_v2
    controller: controller_v2
    dependencies:
    - decompressor_v2
    - data_hasher

  replicateConfig: &dev_replicate
    replicator: replicant_devnet v0.1.1
    replicas:
    - shard: devb
      interpreters: 
      - data_hasher
      - data_hasher_v2
      - std_js_contract_v0
      templates:
      - jump-listener.cm v0.1.8
      instances: 
      - jump_listener_production v0.1.8
    - shard: tbtc
      interpreters: 
      - data_hasher
      - data_hasher_v2
      - std_js_contract_v0
      templates:
      - jump-listener.cm v0.1.8
      instances: 
      - jump_listener_production v0.1.8

  unsafe: true

  gitRemoteLockIndexRepo: git@gitlab.com:coinweb/cweb-dapp-index.git
  pathToIndexFile: .cweb-config/dapp-ecosystem-devnet.yaml
  pathToLockIndexFile: .dapp-ecosystem-lock-devnet.yaml
  pathToRawActionFile: ./.unfiltered-actions-devnet.yaml
  pathToFilteredActionFile: .actions-devnet.yaml
  packageRegistry: 'https://npm.coinweb.io'

production:
  mnemonic: priority supply couple broccoli balcony sort flag keep original wrong pottery version
  shardToWrite: ELROND
  shardToExecute: BNB
  endpoint: https://api-cloud.coinweb.io/wallet

  bootstrapConfig:
    dataHasher: data_hasher_v2
    controller: controller_v2
    dependencies:
    - decompressor_v2
    - data_hasher

  replicateConfig: &prod_replicate
    replicator: replicant_production v0.1.1
    replicas: 
    - shard: eth
      interpreters:
      - data_hasher
      - data_hasher_v2
      - std_js_contract_v0
      templates:
      - jump-listener.cm v0.1.8
      instances: 
      - jump_listener_production v0.1.8
    - shard: btc
      interpreters:
      - data_hasher
      - data_hasher_v2
      - std_js_contract_v0
      templates:
      - jump-listener.cm v0.1.8
      - jump-forwarder.cm v0.1.5
      instances: 
      - jump_listener_production v0.1.8
      - jump_forwarder_production v0.1.5
    - shard: egld
      interpreters:
      - data_hasher
      - data_hasher_v2
      - std_js_contract_v0
      templates:
      - jump-forwarder.cm v0.1.5
      instances: 
      - jump_forwarder_production v0.1.5
    - shard: trx
      interpreters:
      - data_hasher
      - data_hasher_v2
      - std_js_contract_v0
      templates:
      - jump-listener.cm v0.1.8
      instances: 
      - jump_listener_production v0.1.8

  unsafe: true

  gitRemoteLockIndexRepo: git@gitlab.com:coinweb/cweb-dapp-index.git
  pathToIndexFile: .cweb-config/dapp-ecosystem-prod.yaml
  pathToLockIndexFile: .dapp-ecosystem-lock-prod.yaml
  pathToRawActionFile: ./.unfiltered-actions-prod.yaml
  pathToFilteredActionFile: .actions-prod.yaml
  packageRegistry: 'https://npm.coinweb.io'


test:
  mnemonic: priority supply couple broccoli balcony sort flag keep original wrong pottery version
  shardToWrite: DEVNET_L1A
  shardToExecute: DEVNET_L1A
  endpoint: https://api-devblue.coinhq.store/wallet

  bootstrapConfig:
    dataHasher: data_hasher_v2
    controller: controller_v2
    dependencies:
    - decompressor_v2
    - data_hasher

  replicateConfig:
    replicator: replicant_production v0.1.1
    replicas: []

  unsafe: true

  gitRemoteLockIndexRepo: git@gitlab.com:coinweb/cweb-dapp-index.git
  pathToIndexFile: .cweb-config/dapp-ecosystem-test.yaml
  pathToLockIndexFile: .dapp-ecosystem-lock-test.yaml
  pathToRawActionFile: ./.unfiltered-actions-test.yaml
  pathToFilteredActionFile: .actions-tests.yaml
  packageRegistry: 'https://npm.coinweb.io'